## qtdeclarative-opensource-src 5.11.1

=== debian/changelog ===
qtdeclarative-opensource-src (5.11.1-6) unstable; urgency=medium

  * Backport upstream patch to fix unaligned memory access on ARM.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 02 Oct 2018 19:12:20 +0300

qtdeclarative-opensource-src (5.11.1-5) unstable; urgency=medium

  * Update symbols files from buildds’ logs (closes: #906531, #907153).
  * Remove unneeded command from debian/rules.
  * Bump Standards-Version to 4.2.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 25 Aug 2018 15:08:52 +0300

qtdeclarative-opensource-src (5.11.1-4) unstable; urgency=medium

  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 26 Jul 2018 22:09:16 -0300

qtdeclarative-opensource-src (5.11.1-3) unstable; urgency=medium

  * Upload to Sid.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 25 Jul 2018 04:49:31 -0500

qtdeclarative-opensource-src (5.11.1-2) experimental; urgency=medium

  * Remove the dbgsym migration section of debian/rules; it isn't needed
    anymore.
  * Bump the virtual ABI package to qtdeclarative-abi-5-11-0 because of
    MISSING symbols.
  * Update symbols from buildd logs.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 22 Jun 2018 14:06:24 -0500

qtdeclarative-opensource-src (5.11.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump build dependencies to 5.11.1.
  * Upstream testcase_array_iteration.patch from Ubuntu.
  * Remove Do-not-make-lack-of-SSE2-support-on-x86-32-fatal.patch due to
    it not being fixed in time.
  * Refresh quilt patches.
  * Update symbols from amd64 build logs.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 19 Jun 2018 16:26:32 -0500

qtdeclarative-opensource-src (5.11.0-2) experimental; urgency=medium

  [ Simon Quigley ]
  * Update symbols from buildds' logs.

  [ Dmitry Shachnev ]
  * Restore fix_test_remove_qlibraryinfo.patch, it is still needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 19 Jun 2018 01:02:40 -0400

qtdeclarative-opensource-src (5.11.0-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Update symbols files from buildds’ logs.
  * Mark some symbols as optional to fix FTBFS with GCC 8 (closes: #897842).

  [ Simon Quigley ]
  * New upstream release.
  * Bump build dependencies to 5.11.0.
  * Add my name to the copyright for the packaging.
  * Refresh patches for the new release:
    - Remove reverse-applicable patches (or patches otherwise unneeded anymore):
      + avoid-marking-hidden-windows-updatePending.patch
      + disable_jit_on_mips.patch
      + fix_test_remove_qlibraryinfo.patch
    - Refresh all other patches.
  * Update symbols from amd64 build logs.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 13 Jun 2018 02:03:31 -0500

qtdeclarative-opensource-src (5.10.1-4) unstable; urgency=high

  * Avoid marking hidden windows as updatePending in Gui render loop
    (LP: #1761016).
    - avoid-marking-hidden-windows-updatePending.patch
  * Bump Standards-version to 4.1.4, no changes needed.
  * Bump debhelper compat to 11, no changes needed.
  * Add hardening rules in debian/rules.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 09 Apr 2018 18:44:03 -0500

qtdeclarative-opensource-src (5.10.1-3) unstable; urgency=medium

  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 07 Apr 2018 17:05:42 -0300

qtdeclarative-opensource-src (5.10.1-2) experimental; urgency=medium

  * Make qml-module-qttest depend on qml-module-qtquick-window2,
    following upstream changes in Qt 5.10.0.
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 20 Feb 2018 17:37:32 +0300

qtdeclarative-opensource-src (5.10.1-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches for the new release.
  * Bump Qt build-dependencies to 5.10.1.
  * Update Vcs fields for migration to salsa.debian.org.
  * Update symbols files with 5.10.0 and current build logs.
  * Install plugins.qmltypes in qml-module-qt-labs-handlers.install.
  * Update debian/copyright.
  * Bump qtdeclarative-abi version to 5-10-1.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 20 Feb 2018 01:10:02 +0300

qtdeclarative-opensource-src (5.10.0-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch for the new tarball names.
  * Drop revert_singletons_change.diff, QTBUG-64017 was fixed upstream.
  * Bump Qt build-dependencies to 5.10.0.
  * Use dh_auto_configure provided by debhelper.
  * Refresh patches for the new release.
  * Update debian/copyright.
  * New packages: qml-module-qtquick-shapes, qml-module-qt-labs-handlers.
  * Update symbols files from the current build logs.
  * Bump qtdeclarative-abi version to 5-10-0.
  * Bump Standards-Version to 4.1.3, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 16 Jan 2018 18:46:39 +0300

=== debian/control ===
Source: qtdeclarative-opensource-src
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>,
           Pino Toscano <pino@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Timo Jyrinki <timo@debian.org>,
           Dmitry Shachnev <mitya57@debian.org>,
           Simon Quigley <tsimonq2@ubuntu.com>
Build-Depends: debhelper (>= 11),
               dpkg-dev (>= 1.17.14),
               libgl1-mesa-dri,
               libqt5opengl5-dev (>= 5.11.1+dfsg~),
               libqt5xmlpatterns5-dev (>= 5.11.1~),
               pkg-kde-tools (>= 0.15.17~),
               python,
               qtbase5-private-dev (>= 5.11.1+dfsg~),
               xauth,
               xvfb
Build-Depends-Indep: qtbase5-doc-html (>= 5.11.1+dfsg~) <!nodoc>,
                     qttools5-dev-tools (>= 5.11.1~) <!nodoc>
Standards-Version: 4.2.0
Homepage: http://qt-project.org/
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative

Package: libqt5qml5
Provides: qtdeclarative-abi-5-11-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libgl1-mesa-glx
Suggests: qt5-qmltooling-plugins
Description: Qt 5 QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt QML module provides a framework for developing applications and
 libraries with the QML language. It defines and implements the language
 and engine infrastructure, and provides an API to enable application
 developers to extend the QML language with custom types and integrate
 QML code with JavaScript and C++.

Package: libqt5quick5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Quick library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Quick is a collection of technologies that are designed to help
 developers create the kind of intuitive, modern, fluid user interfaces
 that are increasingly used on mobile phones, media players, set-top
 boxes and other portable devices.

Package: libqt5quickparticles5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Quick particles module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Particles support library.

Package: libqt5quicktest5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Quick Test library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Test library for QtDeclarative module.

Package: libqt5quickwidgets5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Quick Widgets library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Widgets library for QtDeclarative module.

Package: qml-module-qtquick-layouts
Multi-Arch: same
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Quick Layouts QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Quick Layouts modules provides a set of layouts that can be used to
 build complete interfaces in Qt Quick.

Package: qt5-qmltooling-plugins
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libqt5qml5 (<< 5.6.0~beta~)
Replaces: libqt5qml5 (<< 5.6.0~beta~)
Description: Qt 5 qmltooling plugins
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the qmltooling plugins.

Package: qml-module-qt-labs-folderlistmodel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 folderlistmodel QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The FolderListModel provides a model of the contents of a file system folder.

Package: qml-module-qtquick-localstorage
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 localstorage QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This is a singleton type for reading and writing to SQLite databases.

Package: qml-module-qt-labs-sharedimage
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 SharedImage QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Shared Image plugin.

Package: qml-module-qtqml-models2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Models2 QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Models provides types previously found in Qt Quick module.

Package: qml-module-qtqml-statemachine
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 State Machine QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The State Machine QML module.

Package: qml-module-qtquick-particles2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 particles 2 QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This QML module contains a particle system for Qt Quick.

Package: qml-module-qtquick2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libgl1-mesa-dri, ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Qt Quick 2 QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick 2 QML module for Qt declarative.

Package: qml-module-qtquick-shapes
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: qml-module-qtquick2, ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Qt Quick Shapes QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Shapes plugin allows adding stroked and filled paths composed of
 lines, quadratic curves, cubic curves, and arcs into Qt Quick scenes.

Package: qml-module-qt-labs-handlers
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Qt.labs.handlers QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This module provides QML types for handling events from pointing
 devices in a UI.

Package: qml-module-qt-labs-settings
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 settings QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the settings QML module for Qt declarative.

Package: qml-module-qttest
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: qml-module-qtquick-window2,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 5 test QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the test QML module for Qt declarative.

Package: qml-module-qtquick-window2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 window 2 QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This QML module contains types for creating top-level windows and
 accessing screen information.

Package: qml-module-qtquick-xmllistmodel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 xmllistmodel QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This QML module contains types for creating models from XML data.

Package: qtdeclarative5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt5qml5 (= ${binary:Version}),
         libqt5quick5 (= ${binary:Version}),
         libqt5quickparticles5 (= ${binary:Version}),
         libqt5quicktest5 (= ${binary:Version}),
         libqt5quickwidgets5 (= ${binary:Version}),
         qt5-qmltooling-plugins,
         qtdeclarative5-dev-tools,
         qtbase5-dev,
         ${misc:Depends}
Description: Qt 5 declarative development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files for building some
 Qt 5 applications using Qt 5 declarative headers.

Package: qtdeclarative5-private-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: qtdeclarative5-dev (= ${binary:Version}), ${misc:Depends}
Description: Qt 5 declarative private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the private header development files for building some
 Qt 5 applications using Qt 5 declarative private headers.
 .
 Use at your own risk.

Package: qtdeclarative5-dev-tools
Architecture: any
Multi-Arch: foreign
Section: devel
Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 declarative development programs
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development programs used for building Qt 5
 declarative applications.

Package: qmlscene
Architecture: any
Multi-Arch: foreign
Section: devel
Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 QML scene viewer
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the older QML viewer for Qt Quick 2. See qml package

## qtdeclarative-opensource-src 5.11.3

=== tests/auto/cmake/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project(qmake_cmake_files)

enable_testing()

find_package(Qt5Core REQUIRED)

include("${_Qt5CTestMacros}")

test_module_includes(
  Qml QQmlEngine
  Quick QQuickWindow
)

expect_pass(test_plugins)

add_test(qtquickcompiler ${CMAKE_CTEST_COMMAND}
    --build-and-test
    "${CMAKE_CURRENT_SOURCE_DIR}/qtquickcompiler/"
    "${CMAKE_CURRENT_BINARY_DIR}/qtquickcompiler"
    --build-config "${CMAKE_BUILD_TYPE}"
    --build-generator ${CMAKE_GENERATOR}
    --build-makeprogram ${CMAKE_MAKE_PROGRAM}
    --build-project qqc_test
    --build-options "-DCMAKE_PREFIX_PATH=${CMAKE_PREFIX_PATH}" ${BUILD_OPTIONS_LIST}
    --test-command qqc_test
)

=== tests/auto/cmake/qtquickcompiler/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)
project(qqc_test)

find_package(Qt5Qml 5.0.0 REQUIRED)
find_package(Qt5Gui 5.0.0 REQUIRED)
find_package(Qt5Test 5.0.0 REQUIRED)
find_package(Qt5QuickCompiler)

set(CMAKE_CXXFLAGS "${CMAKE_CXXFLAGS} ${Qt5Core_EXECUTABLE_COMPILE_FLAGS}")

qtquick_compiler_add_resources(RESOURCES "resources with space/qqc_test.qrc")

set(CMAKE_AUTOMOC ON)

add_executable(qqc_test "${CMAKE_CURRENT_SOURCE_DIR}/main.cpp" ${RESOURCES})
target_link_libraries(qqc_test Qt5::Gui Qt5::Qml Qt5::Test)

=== debian/changelog ===
qtdeclarative-opensource-src (5.11.3-4) unstable; urgency=medium

  * Add fix_crash_on_big_endian.patch to fix crash when loading AOT caches
    on big endian platforms. Thanks Alexander Volkov!
  * Update debian/libqt5qml5.symbols from x32 build log.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 01 Mar 2019 21:03:33 +0300

qtdeclarative-opensource-src (5.11.3-3) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Fix build failure on x32 by disabling JIT there (closes: #918545).

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * libqt5qml5: libgl1-mesa-glx became a dummy transitional package, replace
    it by the packages it depends upon, namely libgl1 and libglx-mesa0
    (Closes: #921472). Thanks Gabriele Stilli for the bug report.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 07 Feb 2019 23:21:22 -0300

qtdeclarative-opensource-src (5.11.3-2) unstable; urgency=medium

  [ Simon Quigley ]
  * Change my email to tsimonq2@debian.org now that I am a Debian Developer.
  * Bump Standards-version to 4.3.0, no changes needed.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Dec 2018 16:16:50 -0300

qtdeclarative-opensource-src (5.11.3-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Refresh fix_test_remove_qlibraryinfo.patch.
  * Update symbols files with current build log.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 07 Dec 2018 09:46:37 -0300

qtdeclarative-opensource-src (5.11.2-3) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Update symbols files from mips64r6el build log (closes: #911601).

  [ Helmut Grohne ]
  * Fix FTCBFS: Annotate Build-Depends: python with :any. (Closes: #913243)

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 15 Nov 2018 12:53:51 +0300

qtdeclarative-opensource-src (5.11.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 15 Oct 2018 21:16:04 +0300

qtdeclarative-opensource-src (5.11.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.11.2.
  * Refresh fix_test_remove_qlibraryinfo.patch.
  * Update debian/libqt5qml5.symbols from the current build log.
  * Bump ABI version to qtdeclarative-abi-5-11-2.
  * Bump Standards-Version to 4.2.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 23 Sep 2018 11:26:37 +0300

=== debian/control ===
--- 
+++ 
@@ -7,31 +7,31 @@
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
-           Simon Quigley <tsimonq2@ubuntu.com>
+           Simon Quigley <tsimonq2@debian.org>
 Build-Depends: debhelper (>= 11),
                dpkg-dev (>= 1.17.14),
                libgl1-mesa-dri,
-               libqt5opengl5-dev (>= 5.11.1+dfsg~),
-               libqt5xmlpatterns5-dev (>= 5.11.1~),
+               libqt5opengl5-dev (>= 5.11.3+dfsg~),
+               libqt5xmlpatterns5-dev (>= 5.11.3~),
                pkg-kde-tools (>= 0.15.17~),
-               python,
-               qtbase5-private-dev (>= 5.11.1+dfsg~),
+               python:any,
+               qtbase5-private-dev (>= 5.11.3+dfsg~),
                xauth,
                xvfb
-Build-Depends-Indep: qtbase5-doc-html (>= 5.11.1+dfsg~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.11.1~) <!nodoc>
-Standards-Version: 4.2.0
+Build-Depends-Indep: qtbase5-doc-html (>= 5.11.3+dfsg~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.11.3~) <!nodoc>
+Standards-Version: 4.3.0
 Homepage: http://qt-project.org/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative
 
 Package: libqt5qml5
-Provides: qtdeclarative-abi-5-11-0
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: libgl1-mesa-glx
+Provides: qtdeclarative-abi-5-11-2
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: libgl1, libglx-mesa0
 Suggests: qt5-qmltooling-plugins
 Description: Qt 5 QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -273,8 +273,8 @@
          libqt5quicktest5 (= ${binary:Version}),
          libqt5quickwidgets5 (= ${binary:Version}),
          qt5-qmltooling-plugins,
+         qtbase5-dev,
          qtdeclarative5-dev-tools,
-         qtbase5-dev,
          ${misc:Depends}
 Description: Qt 5 declarative development files
  Qt is a cross-platform C++ application framework. Qt's primary feature

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export QT_SELECT := qt5

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/test_root
	rm -rf $(CURDIR)/docs
	rm -rf $(CURDIR)/.local

override_dh_auto_configure:
	dh_auto_configure -- QT_BUILD_PARTS+=tests

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-arch:
	dh_auto_install

	# Remove libtool-like files
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

	# Fix wrong permissions in examples.
	find $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/ -type f \( \
	-name '*.png' \
	-o -name '*.php' \
	-o -name '*.xsl' \
	-o -name '*.xml' \
	-o -name '*.js' \
	-o -name '*.jpg' \
	-o -name '*.qml' \
	\) -print0 | xargs -0 chmod a-x

override_dh_auto_install-indep:
	dh_auto_build -- INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_link:
	dh_link
	ls debian/qtdeclarative5-dev-tools/usr/lib/qt5/bin | xargs -t -I {} \
		dh_link -pqtdeclarative5-dev-tools usr/lib/qt5/bin/{} usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/{}
	dh_link -pqmlscene usr/lib/qt5/bin/qmlscene usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/qmlscene
	dh_link -pqml usr/lib/qt5/bin/qml usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/qml

override_dh_auto_test-arch:
	$(MAKE) install -Csrc/imports INSTALL_ROOT=$(CURDIR)/test_root
	mkdir -p $(CURDIR)/.local/share/QtProject/tst_qqmlengine
	# Make the tests non-fatal, see the 5.7.1~20161021-2 changelog.
	-QT_LOGGING_RULES="default.debug=true;qml.debug=true;js.debug=true" xvfb-run -a \
	         -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX" \
	         dh_auto_test --max-parallel=1 -- -k -Ctests/auto \
	         QML2_IMPORT_PATH=$(CURDIR)/test_root/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml \
	         HOME=$(CURDIR) LD_LIBRARY_PATH=$(CURDIR)/lib XDG_RUNTIME_DIR=$(CURDIR)

override_dh_auto_test-indep:

## qtdeclarative-opensource-src 5.12.2

=== debian/changelog ===
qtdeclarative-opensource-src (5.12.2-2) experimental; urgency=medium

  * Override symbols-declares-dependency-on-other-package Lintian warning
    for the libqt5quickshapes5 package.
  * Update symbols files from buildds’ logs.
  * Drop testcase_array_iteration.patch. The iterating code was changed
    upstream, and qtmultimedia tests no longer fail on Ubuntu arm64 without
    this patch.
  * Set QT_PLUGIN_PATH when running tests, to fix some debugger tests.
  * Do not set QT_LOGGING_RULES, not needed with qtbase ≥ 5.9.2+dfsg-7.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 24 Mar 2019 19:30:55 +0300

qtdeclarative-opensource-src (5.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Drop x32_no_jit.patch, applied upstream.
  * Drop fix_crash_on_big_endian.patch, no longer needed.
  * Refresh and rebase other patches.
  * Stop building qml-module-qtquick-xmllistmodel package, it will be moved
    to qtxmlpatterns source.
  * Also drop libqt5xmlpatterns5-dev build-dependency, no longer needed.
  * Bump Qt build-dependencies to 5.12.2.
  * Update Lintian source-is-missing overrides to cover more test files.
  * Update debian/copyright.
  * Remove qml-module-qt-labs-handlers package. Its code was merged into
    the main Qt Quick module.
  * Add three new binary packages:
    - libqt5quickshapes5: Qt Quick Shapes support library.
    - qml-module-qt-labs-qmlmodels: experimental data models QML types.
    - qml-module-qt-labs-wavefrontmesh: mesh based on Wavefront .obj files.
  * Install the new qmlpreview tool in qtdeclarative5-dev-tools.
  * Update symbols files from the current build log.
  * Bump ABI version to qtdeclarative-abi-5-12-2.
  * Update dependencies of qtdeclarative5-examples package.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 16 Mar 2019 11:17:38 +0300

=== debian/control ===
--- 
+++ 
@@ -11,22 +11,21 @@
 Build-Depends: debhelper (>= 11),
                dpkg-dev (>= 1.17.14),
                libgl1-mesa-dri,
-               libqt5opengl5-dev (>= 5.11.3+dfsg~),
-               libqt5xmlpatterns5-dev (>= 5.11.3~),
+               libqt5opengl5-dev (>= 5.12.2+dfsg~),
                pkg-kde-tools (>= 0.15.17~),
                python:any,
-               qtbase5-private-dev (>= 5.11.3+dfsg~),
+               qtbase5-private-dev (>= 5.12.2+dfsg~),
                xauth,
                xvfb
-Build-Depends-Indep: qtbase5-doc-html (>= 5.11.3+dfsg~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.11.3~) <!nodoc>
+Build-Depends-Indep: qtbase5-doc-html (>= 5.12.2+dfsg~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.12.2~) <!nodoc>
 Standards-Version: 4.3.0
 Homepage: http://qt-project.org/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative
 
 Package: libqt5qml5
-Provides: qtdeclarative-abi-5-11-2
+Provides: qtdeclarative-abi-5-12-2
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -68,6 +67,16 @@
  .
  This package contains the Qt Quick Particles support library.
 
+Package: libqt5quickshapes5
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Qt 5 Quick Shapes module
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the Qt Quick Shapes support library.
+
 Package: libqt5quicktest5
 Architecture: any
 Multi-Arch: same
@@ -147,6 +156,26 @@
  .
  This package contains the Shared Image plugin.
 
+Package: qml-module-qt-labs-qmlmodels
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Qt 5 Qt.labs.qmlmodels QML module
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This QML module contains experimental QML types related to data models.
+
+Package: qml-module-qt-labs-wavefrontmesh
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Qt 5 Qt.labs.wavefrontmesh QML module
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This QML module provides a mesh based on a Wavefront .obj file.
+
 Package: qml-module-qtqml-models2
 Architecture: any
 Multi-Arch: same
@@ -202,18 +231,6 @@
  .
  The Shapes plugin allows adding stroked and filled paths composed of
  lines, quadratic curves, cubic curves, and arcs into Qt Quick scenes.
-
-Package: qml-module-qt-labs-handlers
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Qt 5 Qt.labs.handlers QML module
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This module provides QML types for handling events from pointing
- devices in a UI.
 
 Package: qml-module-qt-labs-settings
 Architecture: any
@@ -251,17 +268,6 @@
  .
  This QML module contains types for creating top-level windows and
  accessing screen information.
-
-Package: qml-module-qtquick-xmllistmodel
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Qt 5 xmllistmodel QML module
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This QML module contains types for creating models from XML data.
 
 Package: qtdeclarative5-dev
 Section: libdevel
@@ -314,8 +320,3 @@
 Multi-Arch: foreign
 Section: devel
 Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
-Description: Qt 5 QML scene viewer
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the older QML viewer for Qt Quick 2. See qml package

=== debian/rules ===
--- 
+++ 
@@ -60,11 +60,13 @@
 override_dh_auto_test-arch:
 	$(MAKE) install -Csrc/imports INSTALL_ROOT=$(CURDIR)/test_root
 	mkdir -p $(CURDIR)/.local/share/QtProject/tst_qqmlengine
-	# Make the tests non-fatal, see the 5.7.1~20161021-2 changelog.
-	-QT_LOGGING_RULES="default.debug=true;qml.debug=true;js.debug=true" xvfb-run -a \
+	# - The qqmlpreview test fails because QSettings fails to get a lock file.
+	# - Some tests are failing on mips* because of #868745.
+	-xvfb-run -a \
 	         -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX" \
 	         dh_auto_test --max-parallel=1 -- -k -Ctests/auto \
 	         QML2_IMPORT_PATH=$(CURDIR)/test_root/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml \
+	         QT_PLUGIN_PATH=$(CURDIR)/plugins \
 	         HOME=$(CURDIR) LD_LIBRARY_PATH=$(CURDIR)/lib XDG_RUNTIME_DIR=$(CURDIR)
 
 override_dh_auto_test-indep:

## qtdeclarative-opensource-src 5.12.4

=== debian/changelog ===
qtdeclarative-opensource-src (5.12.4-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Update packaging to use doc-base as per policy 9.10.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Drop unused build-dependency on libqt5opengl5-dev.
  * Add support for nocheck build profile.
  * Bump qtbase build-dependencies to 5.12.4.
  * Refresh fix_test_remove_qlibraryinfo.patch.
  * Backport upstream patch with a workaround for ia64 (closes: #929682).
  * Build-Depend-Indep on individual qdoc-qt5, qhelpgenerator-qt5 and
    qtattributionsscanner-qt5 packages, instead of qttools5-doc-tools.
  * Update symbols files from buildds’ and the current build logs.
  * Bump ABI version to qtdeclarative-abi-5-12-4.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 19 Jun 2019 14:54:49 +0300

qtdeclarative-opensource-src (5.12.3-1) experimental; urgency=medium

  * New upstream release.
  * Refresh fix_test_remove_qlibraryinfo.patch.
  * Bump Qt build-dependencies to 5.12.3.
  * Update Homepage URL.
  * Make qtdeclarative5-dev depend on libqt5quickshapes5 (closes: #927447).
  * Update symbols files from buillds’ and the current build logs.
  * Bump ABI version to qtdeclarative-abi-5-12-3.
  * Add a patch to make SignalSpy test use qWaitForWindowExposed() function
    instead of qWaitForWindowActive(), which does not work without a WM.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 21 Apr 2019 22:23:03 +0300

=== debian/control ===
--- 
+++ 
@@ -11,21 +11,22 @@
 Build-Depends: debhelper (>= 11),
                dpkg-dev (>= 1.17.14),
                libgl1-mesa-dri,
-               libqt5opengl5-dev (>= 5.12.2+dfsg~),
                pkg-kde-tools (>= 0.15.17~),
                python:any,
-               qtbase5-private-dev (>= 5.12.2+dfsg~),
-               xauth,
-               xvfb
-Build-Depends-Indep: qtbase5-doc-html (>= 5.12.2+dfsg~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.12.2~) <!nodoc>
+               qtbase5-private-dev (>= 5.12.4+dfsg-2~),
+               xauth <!nocheck>,
+               xvfb <!nocheck>
+Build-Depends-Indep: qdoc-qt5 (>= 5.12.4~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.12.4~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.12.4~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.12.4+dfsg~) <!nodoc>
 Standards-Version: 4.3.0
-Homepage: http://qt-project.org/
+Homepage: https://doc.qt.io/qt-5/qmlapplications.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative
 
 Package: libqt5qml5
-Provides: qtdeclarative-abi-5-12-2
+Provides: qtdeclarative-abi-5-12-4
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -276,6 +277,7 @@
 Depends: libqt5qml5 (= ${binary:Version}),
          libqt5quick5 (= ${binary:Version}),
          libqt5quickparticles5 (= ${binary:Version}),
+         libqt5quickshapes5 (= ${binary:Version}),
          libqt5quicktest5 (= ${binary:Version}),
          libqt5quickwidgets5 (= ${binary:Version}),
          qt5-qmltooling-plugins,
@@ -313,10 +315,3 @@
  is its rich set of widgets that provide standard GUI functionality.
  .
  This package contains the development programs used for building Qt 5
- declarative applications.
-
-Package: qmlscene
-Architecture: any
-Multi-Arch: foreign
-Section: devel
-Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -58,6 +58,7 @@
 	dh_link -pqml usr/lib/qt5/bin/qml usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/qml
 
 override_dh_auto_test-arch:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	$(MAKE) install -Csrc/imports INSTALL_ROOT=$(CURDIR)/test_root
 	mkdir -p $(CURDIR)/.local/share/QtProject/tst_qqmlengine
 	# - The qqmlpreview test fails because QSettings fails to get a lock file.
@@ -68,5 +69,6 @@
 	         QML2_IMPORT_PATH=$(CURDIR)/test_root/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml \
 	         QT_PLUGIN_PATH=$(CURDIR)/plugins \
 	         HOME=$(CURDIR) LD_LIBRARY_PATH=$(CURDIR)/lib XDG_RUNTIME_DIR=$(CURDIR)
+endif
 
 override_dh_auto_test-indep:

## qtdeclarative-opensource-src 5.12.5

=== debian/changelog ===
qtdeclarative-opensource-src (5.12.5-5) unstable; urgency=medium

  * Link with -latomic on riscv64, based on a patch by Aurelien Jarno.
  * Add a patch from OpenSUSE to build with Python 3 (closes: #938319).
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 02 Jan 2020 14:25:07 +0300

qtdeclarative-opensource-src (5.12.5-4) experimental; urgency=medium

  * Update debian/libqt5qml5.symbols from buildds’ logs.
  * Update symbols files of libqt5quick5 and libqt5quickparticles5
    packages to add an alternative dependency on their -gles variants
    that will provide the same ABI.
  * Remove build paths from .prl files for reproducibility.
  * Split the doxygen .tags files into a new qtdeclarative5-doc-dev
    package (see #922707).
  * Bump debhelper compat level to 12, use the new syntax.
    - Drop dh_makeshlibs override, -V is now the default.
  * Fix a typo in debian/qtdeclarative5-doc-html.doc-base.qtqml.
  * Replace YouTube iframe with YouTube link in the documentation.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 19 Dec 2019 12:06:23 +0300

qtdeclarative-opensource-src (5.12.5-3) unstable; urgency=medium

  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 21 Oct 2019 20:12:14 +0300

qtdeclarative-opensource-src (5.12.5-2) unstable; urgency=medium

  * Update symbols files from buildds’ logs.
  * Bump Standards-Version to 4.4.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 20 Oct 2019 22:44:39 +0300

qtdeclarative-opensource-src (5.12.5-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Make tests fatal on architectures where they are currently passing.
  * Add comments explaining the issues on other architectures.
  * New upstream release.
  * Drop ia64.patch, applied in the new release.
  * Refresh fix_test_remove_qlibraryinfo.patch.
  * Bump Qt build-dependencies to 5.12.5.
  * Update symbols files from the current build logs.
  * Bump ABI version to qtdeclarative-abi-5-12-5.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 14 Sep 2019 11:27:49 -0300

=== debian/control ===
--- 
+++ 
@@ -8,25 +8,25 @@
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dpkg-dev (>= 1.17.14),
                libgl1-mesa-dri,
                pkg-kde-tools (>= 0.15.17~),
-               python:any,
-               qtbase5-private-dev (>= 5.12.4+dfsg-2~),
+               python3:any,
+               qtbase5-private-dev (>= 5.12.5+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qdoc-qt5 (>= 5.12.4~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.12.4~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.12.4~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.12.4+dfsg~) <!nodoc>
-Standards-Version: 4.3.0
+Build-Depends-Indep: qdoc-qt5 (>= 5.12.5~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.12.5~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.12.5~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.12.5+dfsg~) <!nodoc>
+Standards-Version: 4.4.1
 Homepage: https://doc.qt.io/qt-5/qmlapplications.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative
 
 Package: libqt5qml5
-Provides: qtdeclarative-abi-5-12-4
+Provides: qtdeclarative-abi-5-12-5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}

## qtdeclarative-opensource-src 5.12.8

=== debian/changelog ===
qtdeclarative-opensource-src (5.12.8-0ubuntu1) focal; urgency=medium

  * New upstream bugfix release.
  * Update debian/patches/fix_test_remove_qlibraryinfo.patch.
  * Bump Qt build-dependencies to 5.12.8.
  * Bump ABI version to qtdeclarative-abi-5-12-8.
  * Update symbols files from the current build log.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 09 Apr 2020 13:18:23 +0300

qtdeclarative-opensource-src (5.12.5-5build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:16:41 +0100

=== debian/control ===
--- 
+++ 
@@ -13,20 +13,20 @@
                libgl1-mesa-dri,
                pkg-kde-tools (>= 0.15.17~),
                python3:any,
-               qtbase5-private-dev (>= 5.12.5+dfsg~),
+               qtbase5-private-dev (>= 5.12.8+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qdoc-qt5 (>= 5.12.5~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.12.5~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.12.5~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.12.5+dfsg~) <!nodoc>
+Build-Depends-Indep: qdoc-qt5 (>= 5.12.8~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.12.8~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.12.8~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.12.8+dfsg~) <!nodoc>
 Standards-Version: 4.4.1
 Homepage: https://doc.qt.io/qt-5/qmlapplications.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative
 
 Package: libqt5qml5
-Provides: qtdeclarative-abi-5-12-5
+Provides: qtdeclarative-abi-5-12-8
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}

=== debian/rules ===
--- 
+++ 
@@ -30,6 +30,9 @@
 	# Remove libtool-like files
 	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
 
+	# Reproducible builds: remove build paths from prl files.
+	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt5*.prl
+
 	# Fix wrong permissions in examples.
 	find $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/ -type f \( \
 	-name '*.png' \
@@ -47,9 +50,6 @@
 override_dh_missing:
 	dh_missing --fail-missing
 
-override_dh_makeshlibs:
-	dh_makeshlibs -V
-
 override_dh_link:
 	dh_link
 	ls debian/qtdeclarative5-dev-tools/usr/lib/qt5/bin | xargs -t -I {} \
@@ -61,14 +61,26 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	$(MAKE) install -Csrc/imports INSTALL_ROOT=$(CURDIR)/test_root
 	mkdir -p $(CURDIR)/.local/share/QtProject/tst_qqmlengine
-	# - The qqmlpreview test fails because QSettings fails to get a lock file.
-	# - Some tests are failing on mips* because of #868745.
+	# - hppa: QML engine is broken, bug missing
+	# - ia64: QML engine is broken, see bug #929682
+	# - mips*: Some tests are failing because of bug #868745
+	# - powerpc, ppc64, s390x: item-grabber test fails on big endian, see https://bugreports.qt.io/browse/QTBUG-56806
+	# - sparc64: QML engine is broken, see bug #894726
+ifneq (,$(filter $(DEB_HOST_ARCH),hppa ia64 mips mips64el mipsel powerpc ppc64 s390x sparc64))
 	-xvfb-run -a \
 	         -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX" \
 	         dh_auto_test --max-parallel=1 -- -k -Ctests/auto \
 	         QML2_IMPORT_PATH=$(CURDIR)/test_root/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml \
 	         QT_PLUGIN_PATH=$(CURDIR)/plugins \
 	         HOME=$(CURDIR) LD_LIBRARY_PATH=$(CURDIR)/lib XDG_RUNTIME_DIR=$(CURDIR)
+else
+	xvfb-run -a \
+	         -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX" \
+	         dh_auto_test --max-parallel=1 -- -k -Ctests/auto \
+	         QML2_IMPORT_PATH=$(CURDIR)/test_root/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml \
+	         QT_PLUGIN_PATH=$(CURDIR)/plugins \
+	         HOME=$(CURDIR) LD_LIBRARY_PATH=$(CURDIR)/lib XDG_RUNTIME_DIR=$(CURDIR)
+endif
 endif
 
 override_dh_auto_test-indep:
